FormattableFlags (Java SE 26 & JDK 26)
Description: declaration: module: java.base, package: java.util, class: FormattableFlags
Keywords: java.util.FormattableFlags class

# Class FormattableFlags

java.lang.Object
java.util.FormattableFlags

public final class FormattableFlags extends Object
FormattableFlags are passed to the `Formattable.formatTo()` method and modify the output format for Formattables. Implementations of `Formattable` are responsible for interpreting and validating any flags.

Since:
  1.5

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ALTERNATE`
  Requires the output to use an alternate form.
  `static final int`
  `LEFT_JUSTIFY`
  Left-justifies the output.
  `static final int`
  `UPPERCASE`
  Converts the output to upper case according to the rules of the locale given during creation of the `formatter` argument of the `formatTo()` method.

- ## Method Summary

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### LEFT_JUSTIFY

    public static final int LEFT_JUSTIFY
    Left-justifies the output. Spaces (`'\u0020'`) will be added at the end of the converted value as required to fill the minimum width of the field. If this flag is not set then the output will be right-justified.

    This flag corresponds to `'-'` (`'\u002d'`) in the format specifier.

    See Also:
      - Constant Field Values

  - ### UPPERCASE

    public static final int UPPERCASE
    Converts the output to upper case according to the rules of the locale given during creation of the `formatter` argument of the `formatTo()` method. The output should be equivalent the following invocation of `String.toUpperCase(java.util.Locale)`

            out.toUpperCase()

    This flag corresponds to `'S'` (`'\u0053'`) in the format specifier.

    See Also:
      - Constant Field Values

  - ### ALTERNATE

    public static final int ALTERNATE
    Requires the output to use an alternate form. The definition of the form is specified by the `Formattable`.

    This flag corresponds to `'#'` (`'\u0023'`) in the format specifier.

    See Also:
      - Constant Field Values